#
# spec file for package xboard (Version 4.4.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#%define snapshot 20100327
#%define pre_version 4.4.3
Name:		xboard
BuildRequires:	texlive-latex update-desktop-files xorg-x11-devel
BuildRequires:	flex dos2unix xaw3d-devel autoconf automake
License:	LGPL v2.1 or later
Group:		Amusements/Games/Board/Chess
Requires:	crafty
Recommends:	chess_backend
#Version:	4.4.2+git%{snapshot}
Version:	4.4.4
Release:	2.1
Summary:	X Window System Interface for several chess engines
Source0:	%{name}-%{version}.tar.bz2
#Source0:	%{name}-%{pre_version}.%{snapshot}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Source100:	%{name}.changes
Patch0:		%{name}-%{version}-crafty-default-engine.patch
Patch1:		%{name}-%{version}-current_flex.patch
#Patch0:		%{name}-%{pre_version}-crafty-default-engine.patch
#Patch1:		%{name}-%{pre_version}-current_flex.patch
Url:		http://www.gnu.org/software/xboard/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
PreReq:		%install_info_prereq

%description
Xboard is a GUI interface for various chess engines (i.e. GNU Chess, crafty) compatible with the xboard-protocol.

You can also use UCI engines with xboard when using polyglot as "UCI to xboard-adapter".

Authors:
--------
    Tim  Mann <mann@src.dec.com>
    Chris Sears
    Dan Sears
    Elmar Bartel <bartel@@informatik.tu-muenchen.de>



%prep
#%setup -q -n %{name}-%{pre_version}.%{snapshot}
%setup -q 
%patch0 -p0
%patch1 -p0

dos2unix *README TODO COPY* AUTHORS NEWS ChangeLog

%build
autoreconf -fiv
%{suse_update_config -f .}
%configure --with-Xaw3d --enable-zippy
# workaround for openSUSE-Factory (see bnc#533563)
#%if 0%{?suse_version} <= 1110
make %{?jobs:-j%jobs}
#%else
#make LIBS="-lm -lXaw" %{?jobs:-j%jobs}
#%endif

%install
make\
	bindir=$RPM_BUILD_ROOT%{_bindir}\
	man6dir=$RPM_BUILD_ROOT%{_mandir}/man6\
	infodir=$RPM_BUILD_ROOT/%{_infodir}\
	icondir=$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps\
	svgicondir=$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps\
	install
mkdir html
cp *.html html
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 $RPM_SOURCE_DIR/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
%suse_update_desktop_file -i %{name} Game BoardGame

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc *README TODO COPY* html AUTHORS NEWS ChangeLog
%{_bindir}/*
%doc %{_mandir}/man6/*.*
%doc %{_infodir}/xboard.info*
#%doc %{_infodir}/copyright.info.gz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Mon Oct  1 2012 oliver.bengs@opensuse.org
- added autoconf to BuildRequires to build on oS 12.2
* Sun Oct  3 2010 packman@links2linux.de - 4.4.4
- updated to latest stable version 4.4.4
* Fri Jul 16 2010 packman@links2linux.de - 4.4.3
- updated URL to the new homepage of xboard
* Thu Apr  8 2010 packman@links2linux.de - 4.4.3
- updated to latest stable version 4.4.3
* Wed Mar 31 2010 packman@links2linux.de - 4.4.2+git20100327
- updated to latest preview snapshot
- sources repacked to save some space
  (removed "winboard" subfolder for obvious reasons)
* Tue Feb 23 2010 packman@links2linux.de - 4.4.2+git20100220
- updated to latest preview snapshot
- removed workaround for building with as-needed (openSUSE >= 11.2)
* Sat Feb  6 2010 packman@links2linux.de  - 4.4.2+git20100118
- updated to git snapshot 20100118 (preview of upcoming 4.4.3)
